﻿@model PortalTileParamsView
@{
    ViewBag.Title = ViewBag.Tite;
    ViewBag.Title = ViewBag.Tite;
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<script type="text/javascript">
    var formMode = '@ViewBag.FormMode';
</script>

<h1 class="page-header">@ViewBag.Tite</h1>
<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">@Shared.CD</h3>
    </div>
    <div class="panel-body">
        <div class="alert alert-success" id="UpdateCorrectly" role="alert">
            <strong>@Tiles.US</strong>
        </div>

        <div class="form-group">
            <label class="col-md-2 control-label">@Companies.SN</label>
            <div class="col-md-4">
                @Html.LabelForModel(Model.Company.Server, new { @class = "form-control" })
            </div>
        </div>
        <div class="form-group">
            <label class="col-md-2 control-label">@Companies.DBName</label>
            <div class="col-md-4">
                @Html.LabelForModel(Model.Company.CompanyDB, new { @class = "form-control" })
            </div>
        </div>

    </div>
</div>

<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">@Charts.VP</h3>
    </div>
    <div class="panel-body">
        <div class="form-horizontal row-border">
            <div class="table-responsive tableItemsDocuments">
                <div id="TableItemsForm">
                    @Html.Partial("_UserGroupTableTile", Tuple.Create(Model.ListUserGroup, Model.ListPortalTileUserGroup))
                </div>
            </div>
        </div>
    </div>
</div>

<div class="alert alert-danger" id="MissingFields" role="alert">
    <strong>@Tiles.MF</strong>
</div>
<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">@Tiles.TC</h3>
    </div>
    <div class="panel-body">
        <div class="form-group">
            <label class="col-md-2 control-label">@Tiles.VO</label>
            <div class="col-md-4">
                @Html.TextBoxFor(c => c.PortalTile.VisualOrder,
                   new { @class = "form-control", @Id = "VisualOrder", required = "required"  })
            </div>
            <div class="clear_simple"></div>
            <label class="col-md-2 control-label">@Tiles.TN</label>
            <div class="col-md-4">
                @Html.TextBoxFor(c => c.PortalTile.TileName,
                    new { @class = "form-control", @Id = "TileName", required = "required" })
            </div>
            <div class="clear_simple"></div>
            <label class="col-md-2 control-label">@Tiles.TT</label>
            <div class="col-md-4">
                @Html.DropDownListFor(model => model.PortalTile.IdTileType, new SelectList(
                    Model.PortalTile.ListPortalTileType,
                    "IdTileType",
                    "TypeName", Model.PortalTile.IdTileType),
                    new { @Id = "PortalTileType", @class = "form-control" })
            </div>
            <div class="clear_simple"></div>
            <label class="col-md-2 control-label">@Tiles.Link</label>
            <div class="col-md-4">
                @Html.TextBoxFor(c => c.PortalTile.UrlPage,
                    new { @class = "form-control", @Id = "UrlPage" })
            </div>
        </div>
    </div>
</div>

<div id="LinkCreatorContainer" class="panel panel-default" style="display:none;">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">@Tiles.TL</h3>
    </div>
    <div class="panel-body">
        <div class="form-group">
            <label class="col-md-2 control-label">@Charts.SAPQuery</label>
            <div class="col-md-4">
                @Html.TextBoxFor(c => c.PortalTile.NameSAPQuery, new { @class = "form-control form_separator", @Id = "QueryName" })
                @Html.HiddenFor(c => c.PortalTile.IdSAPQuery, new { @class = "form-control", @Id = "QueryInternalKey" })
            </div>
            <div class="col-md-2">
                <button type="button" class="btn btn-success btn-ls" data-toggle="modal" data-target="#SAPQueryModal"><span class="glyphicon glyphicon-search"></span>@PurchaseOrders.Search</button>
                <button type="button" class="btn btn-success btn-ls" id="ExecQueryTile"><span class="glyphicon glyphicon-search"></span>@Charts.EQ</button>
            </div>
        </div>
        <div id="ParamsDiv" class="form-group">
            @if (Model.PortalTile.PortalTileParams != null)
            {
                @Html.Partial("_ParamListTile", Tuple.Create(Model.PortalTile.PortalTileParams, Model.ParamValueList))
            }
        </div>
        <div class="panel-body">
            <div id="ItemsQueryTile" class="table-responsive">
            </div>
        </div>
    </div>
</div>

<div id="HTMLCreatorContainer" class="panel panel-default" style="display:none;">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">@Tiles.Tile HTML</h3>
    </div>
    <div class="panel-body">
        <div class="form-group">
            <label class="col-md-2 control-label">HTML</label>
            <div class="col-md-10">
                @Html.TextAreaFor(c => c.PortalTile.HtmlText, new { @class = "form-control", @Id = "HtmlText" })
            </div>
        </div>
    </div>
</div>

<div class="but_blok_footer">
    <div class="col-md-12">
        <button type="button" id="btnOkTile" class="btn btn-lg btn-success pull-right margin-left">Ok</button>
        @Html.ActionLink(@Companies.Cancel, "Index", "Tile", null, new { @class = "btn btn-lg btn-default pull-right margin-left" })
    </div>
</div>

@*Modal SAP Query*@
<div class="modal fade" id="SAPQueryModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabelSAPQueryModal">@PurchaseOrders.Search @PurchaseOrders.Vendor</h4>
            </div>
            <div class="">
                <div class="bs-example">
                    <div class="col-md-2 pull-right">
                        <button type="button" id="SearchSAPQueryTile" class="btn btn-success btn-ls pull-right"><span class="glyphicon glyphicon-search"></span>@Tiles.SearchQuery</button>
                    </div>
                </div>
                <div class="panel-body">
                    <div class="table-responsive">
                        <div id="LoadSAPQueryTile" style="text-align :center">
                            <img src="~/Content/img/Load.gif" />
                        </div>
                        <div id="ModalBodySAPQuery">
                            @Html.Partial("_QuerySAPListTile", new List<QuerySAPView>())
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">@PurchaseOrders.Cancel</button>
            </div>
        </div>
    </div>
</div>

@Html.HiddenFor(model => model.Company.IdCompany, new { @id = "IdCompany" })
@Html.HiddenFor(model => model.PortalTile.IdTile, new { @id = "IdTile" })
<input type="hidden" name="PageKey" id="PageKey" value="@ViewBag.PageKey" />
@Scripts.Render("~/bundles/TileCreator")

